> ## Documentation Index
> Fetch the complete documentation index at: https://portal.itscovered.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Auth Token

> Get an access token



## OpenAPI

````yaml POST /v1/auth/token
openapi: 3.1.0
info:
  description: Development documentation
  title: Lenders API
  version: 1.4.0
servers:
  - url: https://sandbox-api.itscovered.com/lenders
security: []
tags:
  - description: Health check
    name: health
  - description: Loans
    name: loans
  - description: Policies
    name: policies
  - description: Authentication
    name: auth
paths:
  /v1/auth/token:
    post:
      tags:
        - auth
      summary: Get an access token
      description: Get an access token
      operationId: postV1AuthToken
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              properties:
                client_id:
                  description: The client ID
                  type: string
                client_secret:
                  description: The client secret
                  type: string
                partner_id:
                  anyOf:
                    - description: >-
                        If you are a platform with multiple partners this is the
                        partner ID you want to get the token for. Standard
                        partners should not provide this.
                      type: string
                    - type: 'null'
              required:
                - client_id
                - client_secret
              type: object
          multipart/form-data:
            schema:
              properties:
                client_id:
                  description: The client ID
                  type: string
                client_secret:
                  description: The client secret
                  type: string
                partner_id:
                  anyOf:
                    - description: >-
                        If you are a platform with multiple partners this is the
                        partner ID you want to get the token for. Standard
                        partners should not provide this.
                      type: string
                    - type: 'null'
              required:
                - client_id
                - client_secret
              type: object
          text/plain:
            schema:
              properties:
                client_id:
                  description: The client ID
                  type: string
                client_secret:
                  description: The client secret
                  type: string
                partner_id:
                  anyOf:
                    - description: >-
                        If you are a platform with multiple partners this is the
                        partner ID you want to get the token for. Standard
                        partners should not provide this.
                      type: string
                    - type: 'null'
              required:
                - client_id
                - client_secret
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  access_token:
                    description: The access token
                    type: string
                  expires_in:
                    description: The expiration time of the access token
                    examples:
                      - 86400
                    type: number
                  token_type:
                    description: The type of the access token
                    examples:
                      - Bearer
                    type: string
                required:
                  - access_token
                  - expires_in
                  - token_type
                type: object
            multipart/form-data:
              schema:
                properties:
                  access_token:
                    description: The access token
                    type: string
                  expires_in:
                    description: The expiration time of the access token
                    examples:
                      - 86400
                    type: number
                  token_type:
                    description: The type of the access token
                    examples:
                      - Bearer
                    type: string
                required:
                  - access_token
                  - expires_in
                  - token_type
                type: object
            text/plain:
              schema:
                properties:
                  access_token:
                    description: The access token
                    type: string
                  expires_in:
                    description: The expiration time of the access token
                    examples:
                      - 86400
                    type: number
                  token_type:
                    description: The type of the access token
                    examples:
                      - Bearer
                    type: string
                required:
                  - access_token
                  - expires_in
                  - token_type
                type: object
          description: The response from the access token endpoint

````